# SceneModePicker

#### new Cesium.SceneModePicker(container, scene, duration)
Widgets/SceneModePicker/SceneModePicker.js 45

The SceneModePicker is a single button widget for switching between scene modes; shown to the left in its expanded state. Programatic switching of scene modes will be automatically reflected in the widget as long as the specified Scene is used to perform the change.

Name | Type | Default | Description
--- | --- | --- | ---
`container` | Element | String |  | The DOM element or ID that will contain the widget.
`scene` | Scene |  | The Scene instance to use.
`duration` | Number | `2.0` | optional The time, in seconds, it takes for the scene to transition.

##### Throws:

- DeveloperError : Element with id "container" does not exist in the document.

##### Example:

    // In HTML head, include a link to the SceneModePicker.css stylesheet,
    // and in the body, include: <div id="sceneModePickerContainer"></div>
    // Note: This code assumes you already have a Scene instance.

    var sceneModePicker = new Cesium.SceneModePicker('sceneModePickerContainer', scene);

### Members

#### container : Element
Widgets/SceneModePicker/SceneModePicker.js 158

Gets the parent container.

#### viewModel : SceneModePickerViewModel
Widgets/SceneModePicker/SceneModePicker.js 170

Gets the view model.

### Methods

#### destroy()
Widgets/SceneModePicker/SceneModePicker.js 188

Destroys the widget. Should be called if permanently removing the widget from layout.

#### isDestroyed() → Boolean
Widgets/SceneModePicker/SceneModePicker.js 180

##### Returns:

true if the object has been destroyed, false otherwise.